> For the complete documentation index, see [llms.txt](https://docs.zama.org/concrete-ml/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zama.org/concrete-ml/0.4/built-in-models/ml_examples.md).

# Built-in Model Examples

The following table summarizes the various examples in this section, along with their accuracies.

| Model               | Data-set                                                  | Metric                            | Floating Point | Simulation | FHE    |
| ------------------- | --------------------------------------------------------- | --------------------------------- | -------------- | ---------- | ------ |
| Linear Regression   | Synthetic 1D                                              | R2                                | 0.876          | 0.863      | 0.863  |
| Logistic Regression | Synthetic 2D with 2 classes                               | accuracy                          | 0.90           | 0.875      | 0.875  |
| Poisson Regression  | [OpenML insurance (freq)](https://www.openml.org/d/41214) | mean Poisson deviance             | 0.61           | 0.60       | 0.60   |
| Gamma Regression    | [OpenML insurance (sev)](https://www.openml.org/d/41215)  | mean Gamma deviance               | 0.45           | 0.45       | 0.45   |
| Tweedie Regression  | [OpenML insurance (sev)](https://www.openml.org/d/41215)  | mean Tweedie deviance (power=1.9) | 33.42          | 34.18      | 34.18  |
| Decision Tree       | [OpenML spams](https://www.openml.org/d/44)               | precision score                   | 0.95           | 0.97       | 0.97\* |
| XGBoost Classifier  | [Diabetes](https://www.openml.org/d/37)                   | MCC                               | 0.48           | 0.52       | 0.52\* |
| XGBoost Regressor   | [House Prices](https://www.openml.org/d/43926)            | R2                                | 0.92           | 0.90       | 0.90\* |

*A \* means that FHE accuracy was calculated on a subset of the validation set.*

## Concrete-ML models

* [LinearRegression.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/LinearRegression.ipynb)
* [LogisticRegression.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/LogisticRegression.ipynb)
* [PoissonRegression.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/PoissonRegression.ipynb)
* [DecisionTreeClassifier.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/DecisionTreeClassifier.ipynb)
* [XGBClassifier.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/XGBClassifier.ipynb)
* [GLMComparison.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/GLMComparison.ipynb)
* [XGBRegressor.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/XGBRegressor.ipynb)

## Comparison of classifiers

* [ClassifierComparison.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/ClassifierComparison.ipynb)

## Kaggle competition

* [KaggleTitanic.ipynb](https://github.com/zama-ai/concrete-ml/blob/release/0.4.x/docs/advanced_examples/KaggleTitanic.ipynb)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zama.org/concrete-ml/0.4/built-in-models/ml_examples.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
